return {
	'nvim-treesitter/nvim-treesitter',
	lazy = false,
	build = ':TSUpdate',
	config = function()
		require('nvim-treesitter').setup({
			'vim',
			'lua',
			'cmake',
			'cpp',
			'c',
			'bash',
			'javascript',
			'typescript',
			'tsx',
			'json',
			'html',
			'vue',
			'css',
			'dockerfile',
			'markdown',
			'yaml'
		})
		vim.api.nvim_create_autocmd('FileType', {
			pattern = { 'c', 'cpp' },
			callback = function() vim.treesitter.start() end,
		})
	end
}
